//Blocks
Block.defineBlock(178,"Log",["log",0]);
Block.setDestroyTime(178,2);

//Items
ModPE.setItem(503,"boat",0,"Oak Bark");
ModPE.setItem(502,"book_enchanted",0,"Oak Piece");
ModPE.setItem(501,"blaze_rod",0,"Stone");
ModPE.setItem(500,"blaze_powder",0,"Diamond Chunks");
ModPE.setItem(499,"apple_golden",0,"Emerald Chunks");
ModPE.setItem(498,"brewing_stand",0,"Gold Chunks");
ModPE.setItem(497,"carrot_golden",0,"Coal Chunks");
ModPE.setItem(496,"cauldron",0,"Iron Chunks");
ModPE.setItem(495,"fireball",0,"Sand Pile");
ModPE.setItem(494,"ender_pearl",0,"Dirt Pile");
ModPE.setItem(493,"ender_eye",0,"Glass Shard");
ModPE.setItem(492,"ghast_tear",0,"Grass");

//Crafting Recipe
Item.addCraftRecipe(2,1,0,[492,3,0,494,6,0]);
Item.addCraftRecipe(264,1,0,[500,9,0]);
Item.addCraftRecipe(388,1,0,[499,9,0]);
Item.addCraftRecipe(266,1,0,[498,9,0]);
Item.addCraftRecipe(263,1,0,[497,9,0]);
Item.addCraftRecipe(265,1,0,[496,9,0]);
Item.addCraftRecipe(5,1,0,[502,4,0]);
Item.addCraftRecipe(178,1,0,[503,9,0]);
Item.addCraftRecipe(4,1,0,[501,9,0]);
Item.addCraftRecipe(245,1,0,[501,4,0]);
Item.addCraftRecipe(280,1,0,[502,2,0]);
Item.addCraftRecipe(302,1,0,[4,3,0,4,1,0,1,1,0,4,1,0]);
Item.addCraftRecipe(303,1,0,[4,1,0,1,1,0,4,7,0]);
Item.addCraftRecipe(304,1,0,[4,3,0,4,1,0,1,1,0,4,2,0,280,1,0,4,1,0]);
Item.addCraftRecipe(305,1,0,[4,1,0,280,1,0,4,2,0,280,1,0,4,1,0]);
Item.addCraftRecipe(54,1,0,[178,4,0,5,1,0,178,4,0]);
Item.addCraftRecipe(20,1,0,[493,4,0]);
Item.addCraftRecipe(3,1,0,[494,4,0]);
Item.addCraftRecipe(12,1,0,[495,4,0]);

//Lang Edit
ModPE.langEdit("item.helmetChain.name","Stone Helmet");
ModPE.langEdit("item.chestplateChain.name","Stone Chestplate");
ModPE.langEdit("item.leggingsChain.name","Stone Leggings");
ModPE.langEdit("item.bootsChain.name","Stone Boots");

function useItem(x,y,z,i,b,s,id,bd){
if(b==26){
Level.destroyBlock(x,y,z,false);
Level.dropItem(x+0.5,y+1,z+0.5,0,355,1,0);
clientMessage("You cannot sleep!");
}
}

function destroyBlock(x,y,z,side){
if(getTile(x,y,z)==2){
Level.destroyBlock(x,y,z,false);
Level.dropItem(x+0.5,y+1,z+0.5,0,494,3,0);
Level.dropItem(x+0.5,y+1,z+0.5,0,492,1,0);
}
if(getTile(x,y,z)==3){
Level.destroyBlock(x,y,z,false);
Level.dropItem(x+0.5,y+1,z+0.5,0,494,4,0);
}
if(Level.getTile(x,y,z)==17){
Level.destroyBlock(x,y,z,false);
Level.dropItem(x+0.5,y+1,z+0.5,0,503,6,0);
Level.dropItem(x+0.5,y+1,z+0.5,0,502,3,0);
}
if(getTile(x,y,z)==1){
Level.dropItem(x+0.5,y+1,z+0.5,0,501,3,0);
Level.destroyBlock(x,y,z,false);
}
if(getTile(x,y,z)==4){
Level.destroyBlock(x,y,z,false);
Level.dropItem(x+0.5,y+1,z+0.5,0,501,9,0);
}
var random = Math.floor(Math.random()*4);
if(random==0&&getTile(x,y,z)==12){
Level.dropItem(x+0.5,y+1,z+0.5,0,495,4,0);
Level.destroyBlock(x,y,z,false);
}
if(random==1&&getTile(x,y,z)==12){
Level.dropItem(x+0.5,y+1,z+0.5,0,493,1,0);
Level.dropItem(x+0.5,y+1,z+0.5,0,495,4,0);
Level.destroyBlock(x,y,z,false);
}
if(random==1&&getTile(x,y,z)==56){
Level.dropItem(x+0.5,y+1,z+0.5,0,501,3,0);
Level.dropItem(x+0.5,y+1,z+0.5,0,500,2,0);
Level.destroyBlock(x,y,z,false);
}
if(random==2&&getTile(x,y,z)==56){
Level.dropItem(x+0.5,y+1,z+0.5,0,501,3,0);
Level.dropItem(x+0.5,y+1,z+0.5,0,500,3,0);
Level.destroyBlock(x,y,z,false);
}
if(random==1&&getTile(x,y,z)==129){
Level.dropItem(x+0.5,y+1,z+0.5,0,501,3,0);
Level.dropItem(x+0.5,y+1,z+0.5,0,499,2,0);
Level.destroyBlock(x,y,z,false);
}
if(random==2&&getTile(x,y,z)==129){
Level.dropItem(x+0.5,y+1,z+0.5,0,501,3,0);
Level.dropItem(x+0.5,y+1,z+0.5,0,499,3,0);
Level.destroyBlock(x,y,z,false);
}
if(random==1&&getTile(x,y,z)==14){
Level.dropItem(x+0.5,y+1,z+0.5,0,501,3,0);
Level.dropItem(x+0.5,y+1,z+0.5,0,498,2,0);
Level.destroyBlock(x,y,z,false);
}
if(random==2&&getTile(x,y,z)==14){
Level.dropItem(x+0.5,y+1,z+0.5,0,501,3,0);
Level.dropItem(x+0.5,y+1,z+0.5,0,498,3,0);
Level.destroyBlock(x,y,z,false);
}
if(random==1&&getTile(x,y,z)==16){
Level.dropItem(x+0.5,y+1,z+0.5,0,501,3,0);
Level.dropItem(x+0.5,y+1,z+0.5,0,497,2,0);
Level.destroyBlock(x,y,z,false);
}
if(random==2&&getTile(x,y,z)==16){
Level.dropItem(x+0.5,y+1,z+0.5,0,501,3,0);
Level.dropItem(x+0.5,y+1,z+0.5,0,497,3,0);
Level.destroyBlock(x,y,z,false);
}
if(random==3&&getTile(x,y,z)==16){
Level.explode(x,y,z,4.7);
}
if(random==1&&getTile(x,y,z)==15){
Level.dropItem(x+0.5,y+1,z+0.5,0,501,3,0);
Level.dropItem(x+0.5,y+1,z+0.5,0,496,2,0);
Level.destroyBlock(x,y,z,false);
}
if(random==2&&getTile(x,y,z)==15){
Level.dropItem(x+0.5,y+1,z+0.5,0,501,3,0);
Level.dropItem(x+0.5,y+1,z+0.5,0,496,3,0);
Level.destroyBlock(x,y,z,false);
}
if(getTile(x,y,z)==56){
Level.destroyBlock(x,y,z,false);
}
if(getTile(x,y,z)==129){
Level.destroyBlock(x,y,z,false);
}
if(getTile(x,y,z)==16){
Level.destroyBlock(x,y,z,false);
}
if(getTile(x,y,z)==15){
Level.destroyBlock(x,y,z,false);
}
if(getTile(x,y,z)==14){
Level.destroyBlock(x,y,z,false);
}
}

function modTick(){
if(Entity.getHealth(Player.getEntity())>=7){
ModPE.setFov(70);
Block.setDestroyTime(1,1.5);
Block.setDestroyTime(5,2.4);
Block.setDestroyTime(2,0.5);
Block.setDestroyTime(3,0.5);
Block.setDestroyTime(17,2.4);
Block.setDestroyTime(162,2.4);
Block.setDestroyTime(37,0);
Block.setDestroyTime(38,0);
Block.setDestroyTime(175,0);
Block.setDestroyTime(14,3);
Block.setDestroyTime(15,3);
Block.setDestroyTime(16,3);
Block.setDestroyTime(56,3.4);
Block.setDestroyTime(129,3.4);
Block.setDestroyTime(73,3);
Block.setDestroyTime(74,3);
Block.setDestroyTime(21,3);
Block.setDestroyTime(31,0);
Block.setDestroyTime(18,0.3);
}
if(Entity.getHealth(Player.getEntity())<=6){
ModPE.setFov(63);
Block.setDestroyTime(1,4.5);
Block.setDestroyTime(5,3.9);
Block.setDestroyTime(2,2);
Block.setDestroyTime(3,2);
Block.setDestroyTime(17,3.9);
Block.setDestroyTime(162,3.9);
Block.setDestroyTime(37,0.7);
Block.setDestroyTime(38,0.7);
Block.setDestroyTime(175,0.7);
Block.setDestroyTime(14,6);
Block.setDestroyTime(15,6);
Block.setDestroyTime(16,6);
Block.setDestroyTime(56,6.4);
Block.setDestroyTime(129,6.4);
Block.setDestroyTime(73,6);
Block.setDestroyTime(74,6);
Block.setDestroyTime(21,6);
Block.setDestroyTime(31,0.8);
Block.setDestroyTime(18,1);
}
}